DEBUG=-g
CC = g++
ALL_CFLAGS = -Wall -O6 

CFLAGS= ${DEBUG} ${ALL_CFLAGS}
LDFLAGS=${DEBUG}

INCS =-Iinc 
SRCS := $(wildcard src/*.cpp)
OBJSO = $(SRCS:.cpp=.o)

CPPFLAGS=${INCS}


example_update_mode: example_update_mode.cpp $(OBJSO)
example_define_mode: example_define_mode.cpp $(OBJSO)

libCmdLineParser.a: lib/libCmdLineParser.a(${OBJSO}) 
libCmdLineParser.so: ${OBJSO}
	g++ --shared $^ -o lib/$@

.PHONY : clean
clean:
	rm -f *.o *.exe ${OBJS0}
info:
	@echo ${SRCS}
	@echo ${OBJS0}
